Subject: RE: B20 & bash 2.02.1(2) broken
From: [email-masked] (Austin David France)

5 Nov 1998 13:47:59 -0800
Message-ID: <001d01be07f9$74d52750$010120c0.cygnus.gnu-win32@menpc1>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Gnu-Win32 Mailing List (E-mail)" <[email-masked]>

Additional Info:

I had to revert to bash 2.01.1(2)-release because of delay problems and
stopped jobs, I then at some point later installed a copy of cygwin1.dll as
cygwinb19.dll (to try and get around some problems with telnet) and the
original bash 2.02.1(2) problem (wont run scripts with short names) has
re-occurred (in bash-2.01.1(2)-release).

Sound like a problem with cygwin1.dll to me.

> -----Original Message-----
> From: Austin David France [mailto:[email-masked]]
> Sent: 03 November 1998 12:24
> To: Gnu-Win32 Mailing List (E-mail)
> Cc: Jonathan Storey
> Subject: B20 & bash 2.02.1(2) broken
>
>
> CYGWIN_NT-4.0 MENPC1 20.0 (0.1/1/1) 1998-10-29 15:33:43 i486 unknown
> BASH 2.02.1(2)-release
> NTW40 Y2KSP4
>
> I installed B20, and discovered a problem with the version of
> bash shipped with b20.
>
> I can log in using cygnus.bat OK, however logins via inetd don't work.
>
> Further investigation reveals a very strange problem.  Bash
> 2.02.1(2) won't execute a script whose name is less than 6
> characters long.
>
> A colleagues is experiencing exactly the same problem, except
> that bash won't execute a script whose name is less than 4
> characters long.
>
> An interesting co-incidence is that I have 6 dos drive letters,
> my colleague has only 4.  I am sure this is just a weird co-incidence.
>
> I have replaced bash 2.02.1(2) with bash 2.02.1(1) and this
> corrects the problem for both short script names and inetd (which
> was presumably a related problem)
>
> Austin David France
> Mentor Systems plc
> mailto:[email-masked]
>

------------------------------------------------------------------------

The views and opinions expressed in this e-mail message are the sender's
and do not necessarily represent the views of Mentor Systems plc.

------------------------------------------------------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".